Makefile.in revision 290001
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS = test-ntpq$(EXEEXT) $(am__EXEEXT_1)
92@NTP_CROSSCOMPILE_FALSE@am__append_1 = $(check_PROGRAMS)
93subdir = tests/ntpq
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/sntp/libopts/m4/libopts.m4 \
96	$(top_srcdir)/sntp/libopts/m4/stdnoreturn.m4 \
97	$(top_srcdir)/sntp/m4/ax_c99_struct_init.m4 \
98	$(top_srcdir)/sntp/m4/define_dir.m4 \
99	$(top_srcdir)/sntp/m4/hms_search_lib.m4 \
100	$(top_srcdir)/sntp/m4/libtool.m4 \
101	$(top_srcdir)/sntp/m4/ltoptions.m4 \
102	$(top_srcdir)/sntp/m4/ltsugar.m4 \
103	$(top_srcdir)/sntp/m4/ltversion.m4 \
104	$(top_srcdir)/sntp/m4/lt~obsolete.m4 \
105	$(top_srcdir)/sntp/m4/ntp_cacheversion.m4 \
106	$(top_srcdir)/sntp/m4/ntp_compiler.m4 \
107	$(top_srcdir)/sntp/m4/ntp_crosscompile.m4 \
108	$(top_srcdir)/sntp/m4/ntp_crypto_rand.m4 \
109	$(top_srcdir)/sntp/m4/ntp_debug.m4 \
110	$(top_srcdir)/sntp/m4/ntp_dir_sep.m4 \
111	$(top_srcdir)/sntp/m4/ntp_facilitynames.m4 \
112	$(top_srcdir)/sntp/m4/ntp_googletest.m4 \
113	$(top_srcdir)/sntp/m4/ntp_ipv6.m4 \
114	$(top_srcdir)/sntp/m4/ntp_lib_m.m4 \
115	$(top_srcdir)/sntp/m4/ntp_libevent.m4 \
116	$(top_srcdir)/sntp/m4/ntp_libntp.m4 \
117	$(top_srcdir)/sntp/m4/ntp_lineeditlibs.m4 \
118	$(top_srcdir)/sntp/m4/ntp_locinfo.m4 \
119	$(top_srcdir)/sntp/m4/ntp_openssl.m4 \
120	$(top_srcdir)/sntp/m4/ntp_pkg_config.m4 \
121	$(top_srcdir)/sntp/m4/ntp_problemtests.m4 \
122	$(top_srcdir)/sntp/m4/ntp_prog_cc.m4 \
123	$(top_srcdir)/sntp/m4/ntp_rlimit.m4 \
124	$(top_srcdir)/sntp/m4/ntp_sntp.m4 \
125	$(top_srcdir)/sntp/m4/ntp_unitytest.m4 \
126	$(top_srcdir)/sntp/m4/ntp_ver_suffix.m4 \
127	$(top_srcdir)/sntp/m4/ntp_vpathhack.m4 \
128	$(top_srcdir)/sntp/m4/openldap-thread-check.m4 \
129	$(top_srcdir)/sntp/m4/openldap.m4 \
130	$(top_srcdir)/sntp/m4/os_cflags.m4 \
131	$(top_srcdir)/sntp/m4/snprintf.m4 \
132	$(top_srcdir)/sntp/m4/version.m4 $(top_srcdir)/configure.ac
133am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
134	$(ACLOCAL_M4)
135DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
136	$(am__DIST_COMMON)
137mkinstalldirs = $(install_sh) -d
138CONFIG_HEADER = $(top_builddir)/config.h
139CONFIG_CLEAN_FILES =
140CONFIG_CLEAN_VPATH_FILES =
141am__EXEEXT_1 =
142am__objects_1 =
143am_test_ntpq_OBJECTS = t-ntpq.$(OBJEXT) run-t-ntpq.$(OBJEXT) \
144	$(am__objects_1)
145test_ntpq_OBJECTS = $(am_test_ntpq_OBJECTS)
146am__DEPENDENCIES_1 =
147am__DEPENDENCIES_2 = $(top_builddir)/ntpq/libntpq.a \
148	$(top_builddir)/ntpd/libntpd.a $(top_builddir)/libntp/libntp.a \
149	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
150	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
151am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2) \
152	$(top_builddir)/sntp/unity/libunity.a $(am__DEPENDENCIES_1) \
153	$(am__DEPENDENCIES_1)
154test_ntpq_DEPENDENCIES = $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_1)
155AM_V_lt = $(am__v_lt_@AM_V@)
156am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
157am__v_lt_0 = --silent
158am__v_lt_1 = 
159AM_V_P = $(am__v_P_@AM_V@)
160am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
161am__v_P_0 = false
162am__v_P_1 = :
163AM_V_GEN = $(am__v_GEN_@AM_V@)
164am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
165am__v_GEN_0 = @echo "  GEN     " $@;
166am__v_GEN_1 = 
167AM_V_at = $(am__v_at_@AM_V@)
168am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
169am__v_at_0 = @
170am__v_at_1 = 
171DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
172depcomp = $(SHELL) $(top_srcdir)/sntp/libevent/build-aux/depcomp
173am__depfiles_maybe = depfiles
174am__mv = mv -f
175COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
176	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
177LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
178	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
179	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
180	$(AM_CFLAGS) $(CFLAGS)
181AM_V_CC = $(am__v_CC_@AM_V@)
182am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
183am__v_CC_0 = @echo "  CC      " $@;
184am__v_CC_1 = 
185CCLD = $(CC)
186LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
187	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
188	$(AM_LDFLAGS) $(LDFLAGS) -o $@
189AM_V_CCLD = $(am__v_CCLD_@AM_V@)
190am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
191am__v_CCLD_0 = @echo "  CCLD    " $@;
192am__v_CCLD_1 = 
193SOURCES = $(test_ntpq_SOURCES)
194DIST_SOURCES = $(test_ntpq_SOURCES)
195am__can_run_installinfo = \
196  case $$AM_UPDATE_INFO_DIR in \
197    n|no|NO) false;; \
198    *) (install-info --version) >/dev/null 2>&1;; \
199  esac
200HEADERS = $(noinst_HEADERS)
201am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
202# Read a list of newline-separated strings from the standard input,
203# and print each of them once, without duplicates.  Input order is
204# *not* preserved.
205am__uniquify_input = $(AWK) '\
206  BEGIN { nonempty = 0; } \
207  { items[$$0] = 1; nonempty = 1; } \
208  END { if (nonempty) { for (i in items) print i; }; } \
209'
210# Make sure the list of sources is unique.  This is necessary because,
211# e.g., the same source file might be shared among _SOURCES variables
212# for different programs/libraries.
213am__define_uniq_tagged_files = \
214  list='$(am__tagged_files)'; \
215  unique=`for i in $$list; do \
216    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
217  done | $(am__uniquify_input)`
218ETAGS = etags
219CTAGS = ctags
220am__tty_colors_dummy = \
221  mgn= red= grn= lgn= blu= brg= std=; \
222  am__color_tests=no
223am__tty_colors = { \
224  $(am__tty_colors_dummy); \
225  if test "X$(AM_COLOR_TESTS)" = Xno; then \
226    am__color_tests=no; \
227  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
228    am__color_tests=yes; \
229  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
230    am__color_tests=yes; \
231  fi; \
232  if test $$am__color_tests = yes; then \
233    red='[0;31m'; \
234    grn='[0;32m'; \
235    lgn='[1;32m'; \
236    blu='[1;34m'; \
237    mgn='[0;35m'; \
238    brg='[1m'; \
239    std='[m'; \
240  fi; \
241}
242am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
243am__vpath_adj = case $$p in \
244    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
245    *) f=$$p;; \
246  esac;
247am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
248am__install_max = 40
249am__nobase_strip_setup = \
250  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
251am__nobase_strip = \
252  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
253am__nobase_list = $(am__nobase_strip_setup); \
254  for p in $$list; do echo "$$p $$p"; done | \
255  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
256  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
257    if (++n[$$2] == $(am__install_max)) \
258      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
259    END { for (dir in files) print dir, files[dir] }'
260am__base_list = \
261  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
262  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
263am__uninstall_files_from_dir = { \
264  test -z "$$files" \
265    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
266    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
267         $(am__cd) "$$dir" && rm -f $$files; }; \
268  }
269am__recheck_rx = ^[ 	]*:recheck:[ 	]*
270am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
271am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
272# A command that, given a newline-separated list of test names on the
273# standard input, print the name of the tests that are to be re-run
274# upon "make recheck".
275am__list_recheck_tests = $(AWK) '{ \
276  recheck = 1; \
277  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
278    { \
279      if (rc < 0) \
280        { \
281          if ((getline line2 < ($$0 ".log")) < 0) \
282	    recheck = 0; \
283          break; \
284        } \
285      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
286        { \
287          recheck = 0; \
288          break; \
289        } \
290      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
291        { \
292          break; \
293        } \
294    }; \
295  if (recheck) \
296    print $$0; \
297  close ($$0 ".trs"); \
298  close ($$0 ".log"); \
299}'
300# A command that, given a newline-separated list of test names on the
301# standard input, create the global log from their .trs and .log files.
302am__create_global_log = $(AWK) ' \
303function fatal(msg) \
304{ \
305  print "fatal: making $@: " msg | "cat >&2"; \
306  exit 1; \
307} \
308function rst_section(header) \
309{ \
310  print header; \
311  len = length(header); \
312  for (i = 1; i <= len; i = i + 1) \
313    printf "="; \
314  printf "\n\n"; \
315} \
316{ \
317  copy_in_global_log = 1; \
318  global_test_result = "RUN"; \
319  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
320    { \
321      if (rc < 0) \
322         fatal("failed to read from " $$0 ".trs"); \
323      if (line ~ /$(am__global_test_result_rx)/) \
324        { \
325          sub("$(am__global_test_result_rx)", "", line); \
326          sub("[ 	]*$$", "", line); \
327          global_test_result = line; \
328        } \
329      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
330        copy_in_global_log = 0; \
331    }; \
332  if (copy_in_global_log) \
333    { \
334      rst_section(global_test_result ": " $$0); \
335      while ((rc = (getline line < ($$0 ".log"))) != 0) \
336      { \
337        if (rc < 0) \
338          fatal("failed to read from " $$0 ".log"); \
339        print line; \
340      }; \
341      printf "\n"; \
342    }; \
343  close ($$0 ".trs"); \
344  close ($$0 ".log"); \
345}'
346# Restructured Text title.
347am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
348# Solaris 10 'make', and several other traditional 'make' implementations,
349# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
350# by disabling -e (using the XSI extension "set +e") if it's set.
351am__sh_e_setup = case $$- in *e*) set +e;; esac
352# Default flags passed to test drivers.
353am__common_driver_flags = \
354  --color-tests "$$am__color_tests" \
355  --enable-hard-errors "$$am__enable_hard_errors" \
356  --expect-failure "$$am__expect_failure"
357# To be inserted before the command running the test.  Creates the
358# directory for the log if needed.  Stores in $dir the directory
359# containing $f, in $tst the test, in $log the log.  Executes the
360# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
361# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
362# will run the test scripts (or their associated LOG_COMPILER, if
363# thy have one).
364am__check_pre = \
365$(am__sh_e_setup);					\
366$(am__vpath_adj_setup) $(am__vpath_adj)			\
367$(am__tty_colors);					\
368srcdir=$(srcdir); export srcdir;			\
369case "$@" in						\
370  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
371    *) am__odir=.;; 					\
372esac;							\
373test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
374  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
375if test -f "./$$f"; then dir=./;			\
376elif test -f "$$f"; then dir=;				\
377else dir="$(srcdir)/"; fi;				\
378tst=$$dir$$f; log='$@'; 				\
379if test -n '$(DISABLE_HARD_ERRORS)'; then		\
380  am__enable_hard_errors=no; 				\
381else							\
382  am__enable_hard_errors=yes; 				\
383fi; 							\
384case " $(XFAIL_TESTS) " in				\
385  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
386    am__expect_failure=yes;;				\
387  *)							\
388    am__expect_failure=no;;				\
389esac; 							\
390$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
391# A shell command to get the names of the tests scripts with any registered
392# extension removed (i.e., equivalently, the names of the test logs, with
393# the '.log' extension removed).  The result is saved in the shell variable
394# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
395# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
396# since that might cause problem with VPATH rewrites for suffix-less tests.
397# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
398am__set_TESTS_bases = \
399  bases='$(TEST_LOGS)'; \
400  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
401  bases=`echo $$bases`
402RECHECK_LOGS = $(TEST_LOGS)
403AM_RECURSIVE_TARGETS = check recheck
404TEST_SUITE_LOG = test-suite.log
405TEST_EXTENSIONS = @EXEEXT@ .test
406LOG_DRIVER = $(SHELL) \
407	$(top_srcdir)/sntp/libevent/build-aux/test-driver
408LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
409am__set_b = \
410  case '$@' in \
411    */*) \
412      case '$*' in \
413        */*) b='$*';; \
414          *) b=`echo '$@' | sed 's/\.log$$//'`; \
415       esac;; \
416    *) \
417      b='$*';; \
418  esac
419am__test_logs1 = $(TESTS:=.log)
420am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
421TEST_LOGS = $(am__test_logs2:.test.log=.log)
422TEST_LOG_DRIVER = $(SHELL) \
423	$(top_srcdir)/sntp/libevent/build-aux/test-driver
424TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
425	$(TEST_LOG_FLAGS)
426am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depsver.mf \
427	$(top_srcdir)/includes.mf \
428	$(top_srcdir)/sntp/libevent/build-aux/depcomp \
429	$(top_srcdir)/sntp/libevent/build-aux/test-driver
430DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
431ACLOCAL = @ACLOCAL@
432ALLOCA = @ALLOCA@
433AMTAR = @AMTAR@
434AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
435AR = @AR@
436AUTOCONF = @AUTOCONF@
437AUTOHEADER = @AUTOHEADER@
438AUTOMAKE = @AUTOMAKE@
439AWK = @AWK@
440BUILD_THREAD = @BUILD_THREAD@
441CALC_TICKADJ_DB = @CALC_TICKADJ_DB@
442CALC_TICKADJ_DL = @CALC_TICKADJ_DL@
443CALC_TICKADJ_DS = @CALC_TICKADJ_DS@
444CALC_TICKADJ_MS = @CALC_TICKADJ_MS@
445CALC_TICKADJ_NI = @CALC_TICKADJ_NI@
446CC = @CC@
447CCDEPMODE = @CCDEPMODE@
448CFLAGS = @CFLAGS@
449CFLAGS_LIBEVENT = @CFLAGS_LIBEVENT@
450CFLAGS_NTP = @CFLAGS_NTP@
451CHUTEST = @CHUTEST@
452CONFIG_SHELL = @CONFIG_SHELL@
453CPP = @CPP@
454CPPFLAGS = @CPPFLAGS@
455CPPFLAGS_LIBEVENT = @CPPFLAGS_LIBEVENT@
456CPPFLAGS_NTP = @CPPFLAGS_NTP@
457CXX = @CXX@
458CXXCPP = @CXXCPP@
459CXXDEPMODE = @CXXDEPMODE@
460CXXFLAGS = @CXXFLAGS@
461CYGPATH_W = @CYGPATH_W@
462DCFD = @DCFD@
463DEFS = @DEFS@
464DEPDIR = @DEPDIR@
465DLLTOOL = @DLLTOOL@
466DSYMUTIL = @DSYMUTIL@
467DUMPBIN = @DUMPBIN@
468ECHO_C = @ECHO_C@
469ECHO_N = @ECHO_N@
470ECHO_T = @ECHO_T@
471EDITLINE_LIBS = @EDITLINE_LIBS@
472EGREP = @EGREP@
473EXEEXT = @EXEEXT@
474FGREP = @FGREP@
475GREP = @GREP@
476GTEST_CONFIG = @GTEST_CONFIG@
477GTEST_CPPFLAGS = @GTEST_CPPFLAGS@
478GTEST_CXXFLAGS = @GTEST_CXXFLAGS@
479GTEST_LDFLAGS = @GTEST_LDFLAGS@
480GTEST_LIBS = @GTEST_LIBS@
481HAVE_INLINE = @HAVE_INLINE@
482HAVE_LEAPSMEARINTERVAL = @HAVE_LEAPSMEARINTERVAL@
483HAVE_RLIMIT_MEMLOCK = @HAVE_RLIMIT_MEMLOCK@
484HAVE_RLIMIT_STACK = @HAVE_RLIMIT_STACK@
485INSTALL = @INSTALL@
486INSTALL_DATA = @INSTALL_DATA@
487INSTALL_PROGRAM = @INSTALL_PROGRAM@
488INSTALL_SCRIPT = @INSTALL_SCRIPT@
489INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
490LD = @LD@
491LDADD_LIBEVENT = @LDADD_LIBEVENT@
492LDADD_LIBNTP = @LDADD_LIBNTP@
493LDADD_LIBUTIL = @LDADD_LIBUTIL@
494LDADD_NLIST = @LDADD_NLIST@
495LDADD_NTP = @LDADD_NTP@
496LDFLAGS = @LDFLAGS@
497LDFLAGS_NTP = @LDFLAGS_NTP@
498LIBISC_PTHREADS_NOTHREADS = @LIBISC_PTHREADS_NOTHREADS@
499LIBM = @LIBM@
500LIBOBJS = @LIBOBJS@
501LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
502LIBOPTS_DIR = @LIBOPTS_DIR@
503LIBOPTS_LDADD = @LIBOPTS_LDADD@
504LIBPARSE = @LIBPARSE@
505LIBS = @LIBS@
506LIBTOOL = @LIBTOOL@
507LIBTOOL_DEPS = @LIBTOOL_DEPS@
508LIPO = @LIPO@
509LN_S = @LN_S@
510LSCF = @LSCF@
511LTHREAD_LIBS = @LTHREAD_LIBS@
512LTLIBOBJS = @LTLIBOBJS@
513MAKEINFO = @MAKEINFO@
514MAKE_ADJTIMED = @MAKE_ADJTIMED@
515MAKE_CHECK_LAYOUT = @MAKE_CHECK_LAYOUT@
516MAKE_CHECK_Y2K = @MAKE_CHECK_Y2K@
517MAKE_LIBNTPSIM = @MAKE_LIBNTPSIM@
518MAKE_LIBPARSE = @MAKE_LIBPARSE@
519MAKE_LIBPARSE_KERNEL = @MAKE_LIBPARSE_KERNEL@
520MAKE_NTPDSIM = @MAKE_NTPDSIM@
521MAKE_NTPSNMPD = @MAKE_NTPSNMPD@
522MAKE_NTPTIME = @MAKE_NTPTIME@
523MAKE_PARSEKMODULE = @MAKE_PARSEKMODULE@
524MAKE_TICKADJ = @MAKE_TICKADJ@
525MAKE_TIMETRIM = @MAKE_TIMETRIM@
526MANIFEST_TOOL = @MANIFEST_TOOL@
527MANTAGFMT = @MANTAGFMT@
528MKDIR_P = @MKDIR_P@
529NM = @NM@
530NMEDIT = @NMEDIT@
531NTPDATE_DB = @NTPDATE_DB@
532NTPDATE_DL = @NTPDATE_DL@
533NTPDATE_DS = @NTPDATE_DS@
534NTPDATE_MS = @NTPDATE_MS@
535NTPDATE_NI = @NTPDATE_NI@
536NTPDC_DB = @NTPDC_DB@
537NTPDC_DL = @NTPDC_DL@
538NTPDC_DS = @NTPDC_DS@
539NTPDC_MS = @NTPDC_MS@
540NTPDC_NI = @NTPDC_NI@
541NTPDSIM_DB = @NTPDSIM_DB@
542NTPDSIM_DL = @NTPDSIM_DL@
543NTPDSIM_DS = @NTPDSIM_DS@
544NTPDSIM_MS = @NTPDSIM_MS@
545NTPDSIM_NI = @NTPDSIM_NI@
546NTPD_DB = @NTPD_DB@
547NTPD_DL = @NTPD_DL@
548NTPD_DS = @NTPD_DS@
549NTPD_MS = @NTPD_MS@
550NTPD_NI = @NTPD_NI@
551NTPQ_DB = @NTPQ_DB@
552NTPQ_DL = @NTPQ_DL@
553NTPQ_DS = @NTPQ_DS@
554NTPQ_MS = @NTPQ_MS@
555NTPQ_NI = @NTPQ_NI@
556NTPSNMPD_DB = @NTPSNMPD_DB@
557NTPSNMPD_DL = @NTPSNMPD_DL@
558NTPSNMPD_DS = @NTPSNMPD_DS@
559NTPSNMPD_MS = @NTPSNMPD_MS@
560NTPSNMPD_NI = @NTPSNMPD_NI@
561NTPSWEEP_DB = @NTPSWEEP_DB@
562NTPSWEEP_DL = @NTPSWEEP_DL@
563NTPSWEEP_DS = @NTPSWEEP_DS@
564NTPSWEEP_MS = @NTPSWEEP_MS@
565NTPSWEEP_NI = @NTPSWEEP_NI@
566NTPTIME_DB = @NTPTIME_DB@
567NTPTIME_DL = @NTPTIME_DL@
568NTPTIME_DS = @NTPTIME_DS@
569NTPTIME_MS = @NTPTIME_MS@
570NTPTIME_NI = @NTPTIME_NI@
571NTPTRACE_DB = @NTPTRACE_DB@
572NTPTRACE_DL = @NTPTRACE_DL@
573NTPTRACE_DS = @NTPTRACE_DS@
574NTPTRACE_MS = @NTPTRACE_MS@
575NTPTRACE_NI = @NTPTRACE_NI@
576NTP_KEYGEN_DB = @NTP_KEYGEN_DB@
577NTP_KEYGEN_DL = @NTP_KEYGEN_DL@
578NTP_KEYGEN_DS = @NTP_KEYGEN_DS@
579NTP_KEYGEN_MS = @NTP_KEYGEN_MS@
580NTP_KEYGEN_NI = @NTP_KEYGEN_NI@
581NTP_KEYSDIR = @NTP_KEYSDIR@
582NTP_WAIT_DB = @NTP_WAIT_DB@
583NTP_WAIT_DL = @NTP_WAIT_DL@
584NTP_WAIT_DS = @NTP_WAIT_DS@
585NTP_WAIT_MS = @NTP_WAIT_MS@
586NTP_WAIT_NI = @NTP_WAIT_NI@
587OBJDUMP = @OBJDUMP@
588OBJEXT = @OBJEXT@
589OTOOL = @OTOOL@
590OTOOL64 = @OTOOL64@
591PACKAGE = @PACKAGE@
592PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
593PACKAGE_NAME = @PACKAGE_NAME@
594PACKAGE_STRING = @PACKAGE_STRING@
595PACKAGE_TARNAME = @PACKAGE_TARNAME@
596PACKAGE_URL = @PACKAGE_URL@
597PACKAGE_VERSION = @PACKAGE_VERSION@
598PATH_NET_SNMP_CONFIG = @PATH_NET_SNMP_CONFIG@
599PATH_PERL = @PATH_PERL@
600PATH_RUBY = @PATH_RUBY@
601PATH_SEPARATOR = @PATH_SEPARATOR@
602PATH_TEST = @PATH_TEST@
603PERLLIBDIR = @PERLLIBDIR@
604PKG_CONFIG = @PKG_CONFIG@
605POSIX_SHELL = @POSIX_SHELL@
606PROPDELAY = @PROPDELAY@
607PTHREAD_LIBS = @PTHREAD_LIBS@
608RANLIB = @RANLIB@
609SED = @SED@
610SET_MAKE = @SET_MAKE@
611SHELL = @SHELL@
612SNMP_CFLAGS = @SNMP_CFLAGS@
613SNMP_CPPFLAGS = @SNMP_CPPFLAGS@
614SNMP_LIBS = @SNMP_LIBS@
615SNTP = @SNTP@
616SNTP_DB = @SNTP_DB@
617SNTP_DL = @SNTP_DL@
618SNTP_DS = @SNTP_DS@
619SNTP_MS = @SNTP_MS@
620SNTP_NI = @SNTP_NI@
621STDNORETURN_H = @STDNORETURN_H@
622STRIP = @STRIP@
623TESTDCF = @TESTDCF@
624TICKADJ_DB = @TICKADJ_DB@
625TICKADJ_DL = @TICKADJ_DL@
626TICKADJ_DS = @TICKADJ_DS@
627TICKADJ_MS = @TICKADJ_MS@
628TICKADJ_NI = @TICKADJ_NI@
629TIMETRIM_DB = @TIMETRIM_DB@
630TIMETRIM_DL = @TIMETRIM_DL@
631TIMETRIM_DS = @TIMETRIM_DS@
632TIMETRIM_MS = @TIMETRIM_MS@
633TIMETRIM_NI = @TIMETRIM_NI@
634UPDATE_LEAP_DB = @UPDATE_LEAP_DB@
635UPDATE_LEAP_DL = @UPDATE_LEAP_DL@
636UPDATE_LEAP_DS = @UPDATE_LEAP_DS@
637UPDATE_LEAP_MS = @UPDATE_LEAP_MS@
638UPDATE_LEAP_NI = @UPDATE_LEAP_NI@
639VERSION = @VERSION@
640VER_SUFFIX = @VER_SUFFIX@
641YACC = @YACC@
642YFLAGS = @YFLAGS@
643abs_builddir = @abs_builddir@
644abs_srcdir = @abs_srcdir@
645abs_top_builddir = @abs_top_builddir@
646abs_top_srcdir = @abs_top_srcdir@
647ac_ct_AR = @ac_ct_AR@
648ac_ct_CC = @ac_ct_CC@
649ac_ct_CXX = @ac_ct_CXX@
650ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
651am__include = @am__include@
652am__leading_dot = @am__leading_dot@
653am__quote = @am__quote@
654am__tar = @am__tar@
655am__untar = @am__untar@
656bindir = @bindir@
657build = @build@
658build_alias = @build_alias@
659build_cpu = @build_cpu@
660build_os = @build_os@
661build_vendor = @build_vendor@
662builddir = @builddir@
663datadir = @datadir@
664datarootdir = @datarootdir@
665docdir = @docdir@
666dvidir = @dvidir@
667exec_prefix = @exec_prefix@
668host = @host@
669host_alias = @host_alias@
670host_cpu = @host_cpu@
671host_os = @host_os@
672host_vendor = @host_vendor@
673htmldir = @htmldir@
674includedir = @includedir@
675infodir = @infodir@
676install_sh = @install_sh@
677libdir = @libdir@
678libexecdir = @libexecdir@
679localedir = @localedir@
680localstatedir = @localstatedir@
681mandir = @mandir@
682mkdir_p = @mkdir_p@
683oldincludedir = @oldincludedir@
684pdfdir = @pdfdir@
685prefix = @prefix@
686program_transform_name = @program_transform_name@
687psdir = @psdir@
688sbindir = @sbindir@
689sharedstatedir = @sharedstatedir@
690srcdir = @srcdir@
691subdirs = @subdirs@
692sysconfdir = @sysconfdir@
693target_alias = @target_alias@
694top_build_prefix = @top_build_prefix@
695top_builddir = @top_builddir@
696top_srcdir = @top_srcdir@
697NULL = 
698BUILT_SOURCES = $(srcdir)/run-t-ntpq.c $(NULL) check-libntpd \
699	check-libntp check-libunity .deps-ver
700CLEANFILES = check-libntpd check-libntp check-libunity .deps-ver
701std_unity_list = \
702	$(top_srcdir)/sntp/unity/auto/generate_test_runner.rb	\
703	$(NULL)
704
705run_unity = cd $(srcdir) && ruby ../../sntp/unity/auto/generate_test_runner.rb
706LDADD = \
707	$(top_builddir)/ntpq/libntpq.a	\
708	$(top_builddir)/ntpd/libntpd.a	\
709	$(top_builddir)/libntp/libntp.a	\
710	$(LDADD_LIBNTP)			\
711	$(PTHREAD_LIBS)			\
712	$(LDADD_NTP)			\
713	$(NULL)
714
715unity_tests_LDADD = \
716	$(LDADD)				\
717	$(top_builddir)/sntp/unity/libunity.a	\
718	$(LIBM)					\
719	$(NULL)
720
721AM_CFLAGS = $(CFLAGS_NTP)
722AM_CPPFLAGS = $(NTP_INCS) -I$(top_srcdir)/ntpq $(CPPFLAGS_NTP) \
723	-DUNITY_INCLUDE_CONFIG_H -I$(top_srcdir)/sntp/unity
724AM_LDFLAGS = $(LDFLAGS_NTP)
725noinst_HEADERS = \
726	$(NULL)
727
728
729###
730test_ntpq_LDADD = \
731	$(unity_tests_LDADD)		\
732	$(NULL)
733
734test_ntpq_SOURCES = \
735	t-ntpq.c			\
736	run-t-ntpq.c			\
737	$(NULL)
738
739TESTS = $(am__append_1)
740NTP_INCS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/isc/include \
741	-I$(top_srcdir)/lib/isc/$(LIBISC_PTHREADS_NOTHREADS)/include \
742	-I$(top_srcdir)/lib/isc/unix/include
743all: $(BUILT_SOURCES)
744	$(MAKE) $(AM_MAKEFLAGS) all-am
745
746.SUFFIXES:
747.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
748$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__configure_deps)
749	@for dep in $?; do \
750	  case '$(am__configure_deps)' in \
751	    *$$dep*) \
752	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
753	        && { if test -f $@; then exit 0; else break; fi; }; \
754	      exit 1;; \
755	  esac; \
756	done; \
757	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/ntpq/Makefile'; \
758	$(am__cd) $(top_srcdir) && \
759	  $(AUTOMAKE) --foreign tests/ntpq/Makefile
760Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
761	@case '$?' in \
762	  *config.status*) \
763	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
764	  *) \
765	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
766	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
767	esac;
768$(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__empty):
769
770$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
771	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
772
773$(top_srcdir)/configure:  $(am__configure_deps)
774	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
775$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
776	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777$(am__aclocal_m4_deps):
778
779clean-checkPROGRAMS:
780	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
781	echo " rm -f" $$list; \
782	rm -f $$list || exit $$?; \
783	test -n "$(EXEEXT)" || exit 0; \
784	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
785	echo " rm -f" $$list; \
786	rm -f $$list
787
788test-ntpq$(EXEEXT): $(test_ntpq_OBJECTS) $(test_ntpq_DEPENDENCIES) $(EXTRA_test_ntpq_DEPENDENCIES) 
789	@rm -f test-ntpq$(EXEEXT)
790	$(AM_V_CCLD)$(LINK) $(test_ntpq_OBJECTS) $(test_ntpq_LDADD) $(LIBS)
791
792mostlyclean-compile:
793	-rm -f *.$(OBJEXT)
794
795distclean-compile:
796	-rm -f *.tab.c
797
798@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-t-ntpq.Po@am__quote@
799@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t-ntpq.Po@am__quote@
800
801.c.o:
802@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
803@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
804@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
805@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
807
808.c.obj:
809@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
810@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
811@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
812@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
814
815.c.lo:
816@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
817@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
818@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
819@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
821
822mostlyclean-libtool:
823	-rm -f *.lo
824
825clean-libtool:
826	-rm -rf .libs _libs
827
828ID: $(am__tagged_files)
829	$(am__define_uniq_tagged_files); mkid -fID $$unique
830tags: tags-am
831TAGS: tags
832
833tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
834	set x; \
835	here=`pwd`; \
836	$(am__define_uniq_tagged_files); \
837	shift; \
838	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
839	  test -n "$$unique" || unique=$$empty_fix; \
840	  if test $$# -gt 0; then \
841	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842	      "$$@" $$unique; \
843	  else \
844	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
845	      $$unique; \
846	  fi; \
847	fi
848ctags: ctags-am
849
850CTAGS: ctags
851ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
852	$(am__define_uniq_tagged_files); \
853	test -z "$(CTAGS_ARGS)$$unique" \
854	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
855	     $$unique
856
857GTAGS:
858	here=`$(am__cd) $(top_builddir) && pwd` \
859	  && $(am__cd) $(top_srcdir) \
860	  && gtags -i $(GTAGS_ARGS) "$$here"
861cscopelist: cscopelist-am
862
863cscopelist-am: $(am__tagged_files)
864	list='$(am__tagged_files)'; \
865	case "$(srcdir)" in \
866	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
867	  *) sdir=$(subdir)/$(srcdir) ;; \
868	esac; \
869	for i in $$list; do \
870	  if test -f "$$i"; then \
871	    echo "$(subdir)/$$i"; \
872	  else \
873	    echo "$$sdir/$$i"; \
874	  fi; \
875	done >> $(top_builddir)/cscope.files
876
877distclean-tags:
878	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
879
880# Recover from deleted '.trs' file; this should ensure that
881# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
882# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
883# to avoid problems with "make -n".
884.log.trs:
885	rm -f $< $@
886	$(MAKE) $(AM_MAKEFLAGS) $<
887
888# Leading 'am--fnord' is there to ensure the list of targets does not
889# expand to empty, as could happen e.g. with make check TESTS=''.
890am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
891am--force-recheck:
892	@:
893
894$(TEST_SUITE_LOG): $(TEST_LOGS)
895	@$(am__set_TESTS_bases); \
896	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
897	redo_bases=`for i in $$bases; do \
898	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
899	            done`; \
900	if test -n "$$redo_bases"; then \
901	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
902	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
903	  if $(am__make_dryrun); then :; else \
904	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
905	  fi; \
906	fi; \
907	if test -n "$$am__remaking_logs"; then \
908	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
909	       "recursion detected" >&2; \
910	elif test -n "$$redo_logs"; then \
911	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
912	fi; \
913	if $(am__make_dryrun); then :; else \
914	  st=0;  \
915	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
916	  for i in $$redo_bases; do \
917	    test -f $$i.trs && test -r $$i.trs \
918	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
919	    test -f $$i.log && test -r $$i.log \
920	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
921	  done; \
922	  test $$st -eq 0 || exit 1; \
923	fi
924	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
925	ws='[ 	]'; \
926	results=`for b in $$bases; do echo $$b.trs; done`; \
927	test -n "$$results" || results=/dev/null; \
928	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
929	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
930	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
931	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
932	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
933	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
934	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
935	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
936	  success=true; \
937	else \
938	  success=false; \
939	fi; \
940	br='==================='; br=$$br$$br$$br$$br; \
941	result_count () \
942	{ \
943	    if test x"$$1" = x"--maybe-color"; then \
944	      maybe_colorize=yes; \
945	    elif test x"$$1" = x"--no-color"; then \
946	      maybe_colorize=no; \
947	    else \
948	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
949	    fi; \
950	    shift; \
951	    desc=$$1 count=$$2; \
952	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
953	      color_start=$$3 color_end=$$std; \
954	    else \
955	      color_start= color_end=; \
956	    fi; \
957	    echo "$${color_start}# $$desc $$count$${color_end}"; \
958	}; \
959	create_testsuite_report () \
960	{ \
961	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
962	  result_count $$1 "PASS: " $$pass  "$$grn"; \
963	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
964	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
965	  result_count $$1 "FAIL: " $$fail  "$$red"; \
966	  result_count $$1 "XPASS:" $$xpass "$$red"; \
967	  result_count $$1 "ERROR:" $$error "$$mgn"; \
968	}; \
969	{								\
970	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
971	    $(am__rst_title);						\
972	  create_testsuite_report --no-color;				\
973	  echo;								\
974	  echo ".. contents:: :depth: 2";				\
975	  echo;								\
976	  for b in $$bases; do echo $$b; done				\
977	    | $(am__create_global_log);					\
978	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
979	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
980	if $$success; then						\
981	  col="$$grn";							\
982	 else								\
983	  col="$$red";							\
984	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
985	fi;								\
986	echo "$${col}$$br$${std}"; 					\
987	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
988	echo "$${col}$$br$${std}"; 					\
989	create_testsuite_report --maybe-color;				\
990	echo "$$col$$br$$std";						\
991	if $$success; then :; else					\
992	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
993	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
994	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
995	  fi;								\
996	  echo "$$col$$br$$std";					\
997	fi;								\
998	$$success || exit 1
999
1000check-TESTS:
1001	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1002	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1003	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1004	@set +e; $(am__set_TESTS_bases); \
1005	log_list=`for i in $$bases; do echo $$i.log; done`; \
1006	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1007	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1008	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1009	exit $$?;
1010recheck: all $(check_PROGRAMS)
1011	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1012	@set +e; $(am__set_TESTS_bases); \
1013	bases=`for i in $$bases; do echo $$i; done \
1014	         | $(am__list_recheck_tests)` || exit 1; \
1015	log_list=`for i in $$bases; do echo $$i.log; done`; \
1016	log_list=`echo $$log_list`; \
1017	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1018	        am__force_recheck=am--force-recheck \
1019	        TEST_LOGS="$$log_list"; \
1020	exit $$?
1021test-ntpq.log: test-ntpq$(EXEEXT)
1022	@p='test-ntpq$(EXEEXT)'; \
1023	b='test-ntpq'; \
1024	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1025	--log-file $$b.log --trs-file $$b.trs \
1026	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1027	"$$tst" $(AM_TESTS_FD_REDIRECT)
1028.test.log:
1029	@p='$<'; \
1030	$(am__set_b); \
1031	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1032	--log-file $$b.log --trs-file $$b.trs \
1033	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1034	"$$tst" $(AM_TESTS_FD_REDIRECT)
1035@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1036@am__EXEEXT_TRUE@	@p='$<'; \
1037@am__EXEEXT_TRUE@	$(am__set_b); \
1038@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1039@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1040@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1041@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1042
1043distdir: $(DISTFILES)
1044	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046	list='$(DISTFILES)'; \
1047	  dist_files=`for file in $$list; do echo $$file; done | \
1048	  sed -e "s|^$$srcdirstrip/||;t" \
1049	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1050	case $$dist_files in \
1051	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1052			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1053			   sort -u` ;; \
1054	esac; \
1055	for file in $$dist_files; do \
1056	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1057	  if test -d $$d/$$file; then \
1058	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1059	    if test -d "$(distdir)/$$file"; then \
1060	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061	    fi; \
1062	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1063	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1064	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1065	    fi; \
1066	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1067	  else \
1068	    test -f "$(distdir)/$$file" \
1069	    || cp -p $$d/$$file "$(distdir)/$$file" \
1070	    || exit 1; \
1071	  fi; \
1072	done
1073check-am: all-am
1074	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1075	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1076check: $(BUILT_SOURCES)
1077	$(MAKE) $(AM_MAKEFLAGS) check-am
1078all-am: Makefile $(HEADERS)
1079installdirs:
1080install: $(BUILT_SOURCES)
1081	$(MAKE) $(AM_MAKEFLAGS) install-am
1082install-exec: install-exec-am
1083install-data: install-data-am
1084uninstall: uninstall-am
1085
1086install-am: all-am
1087	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1088
1089installcheck: installcheck-am
1090install-strip:
1091	if test -z '$(STRIP)'; then \
1092	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1093	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1094	      install; \
1095	else \
1096	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1097	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1098	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1099	fi
1100mostlyclean-generic:
1101	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1102	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1103	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1104
1105clean-generic:
1106	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1107
1108distclean-generic:
1109	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1110	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1111
1112maintainer-clean-generic:
1113	@echo "This command is intended for maintainers to use"
1114	@echo "it deletes files that may require special tools to rebuild."
1115	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1116clean: clean-am
1117
1118clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1119	mostlyclean-am
1120
1121distclean: distclean-am
1122	-rm -rf ./$(DEPDIR)
1123	-rm -f Makefile
1124distclean-am: clean-am distclean-compile distclean-generic \
1125	distclean-tags
1126
1127dvi: dvi-am
1128
1129dvi-am:
1130
1131html: html-am
1132
1133html-am:
1134
1135info: info-am
1136
1137info-am:
1138
1139install-data-am:
1140
1141install-dvi: install-dvi-am
1142
1143install-dvi-am:
1144
1145install-exec-am:
1146
1147install-html: install-html-am
1148
1149install-html-am:
1150
1151install-info: install-info-am
1152
1153install-info-am:
1154
1155install-man:
1156
1157install-pdf: install-pdf-am
1158
1159install-pdf-am:
1160
1161install-ps: install-ps-am
1162
1163install-ps-am:
1164
1165installcheck-am:
1166
1167maintainer-clean: maintainer-clean-am
1168	-rm -rf ./$(DEPDIR)
1169	-rm -f Makefile
1170maintainer-clean-am: distclean-am maintainer-clean-generic
1171
1172mostlyclean: mostlyclean-am
1173
1174mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1175	mostlyclean-libtool
1176
1177pdf: pdf-am
1178
1179pdf-am:
1180
1181ps: ps-am
1182
1183ps-am:
1184
1185uninstall-am:
1186
1187.MAKE: all check check-am install install-am install-strip
1188
1189.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1190	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1191	ctags ctags-am distclean distclean-compile distclean-generic \
1192	distclean-libtool distclean-tags distdir dvi dvi-am html \
1193	html-am info info-am install install-am install-data \
1194	install-data-am install-dvi install-dvi-am install-exec \
1195	install-exec-am install-html install-html-am install-info \
1196	install-info-am install-man install-pdf install-pdf-am \
1197	install-ps install-ps-am install-strip installcheck \
1198	installcheck-am installdirs maintainer-clean \
1199	maintainer-clean-generic mostlyclean mostlyclean-compile \
1200	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1201	recheck tags tags-am uninstall uninstall-am
1202
1203.PRECIOUS: Makefile
1204
1205
1206$(srcdir)/run-t-ntpq.c: $(srcdir)/t-ntpq.c $(std_unity_list)
1207	$(run_unity) t-ntpq.c run-t-ntpq.c
1208
1209check-libntpd: ../../ntpd/libntpd.a
1210	@echo stamp > $@
1211
1212../../ntpd/libntpd.a:
1213	cd ../../ntpd && $(MAKE) $(AM_MAKEFLAGS) libntpd.a
1214
1215check-libntp: ../../libntp/libntp.a
1216	@echo stamp > $@
1217
1218../../libntp/libntp.a:
1219	cd ../../libntp && $(MAKE) $(AM_MAKEFLAGS) libntp.a
1220
1221check-libunity: ../../sntp/unity/libunity.a
1222	@echo stamp > $@
1223
1224../../sntp/unity/libunity.a:
1225	cd ../../sntp/unity && $(MAKE) $(AM_MAKEFLAGS) libunity.a
1226$(DEPDIR)/deps-ver: $(top_srcdir)/deps-ver
1227	@[ -f $@ ] ||							\
1228		cp $(top_srcdir)/deps-ver $@
1229	@[ -w $@ ] ||							\
1230		chmod ug+w $@
1231	@cmp $(top_srcdir)/deps-ver $@ > /dev/null || (			\
1232		$(MAKE) $(AM_MAKEFLAGS) clean &&					\
1233		echo -n "Prior $(subdir)/$(DEPDIR) version " &&		\
1234		cat $@ &&						\
1235		rm -rf $(DEPDIR) &&					\
1236		mkdir $(DEPDIR) && 					\
1237		case "$(top_builddir)" in				\
1238		 .)							\
1239		    ./config.status Makefile depfiles			\
1240		    ;;							\
1241		 *)							\
1242		    cd "$(top_builddir)" &&				\
1243		    ./config.status $(subdir)/Makefile depfiles &&	\
1244		    cd $(subdir)					\
1245		    ;;							\
1246		esac &&							\
1247		echo -n "Cleaned $(subdir)/$(DEPDIR) version " &&	\
1248		cat $(top_srcdir)/deps-ver				\
1249	)
1250	cp $(top_srcdir)/deps-ver $@
1251
1252.deps-ver: $(top_srcdir)/deps-ver
1253	@[ ! -d $(DEPDIR) ] || $(MAKE) $(AM_MAKEFLAGS) $(DEPDIR)/deps-ver
1254	@touch $@
1255
1256#
1257# depsver.mf	included in Makefile.am for directories with .deps
1258#
1259# When building in the same directory with sources that change over
1260# time, such as when tracking using bk, the .deps files can become
1261# stale with respect to moved, deleted, or superceded headers.  Most
1262# commonly, this would exhibit as make reporting a failure to make a
1263# header file which is no longer in the location given.  To address
1264# this issue, we use a deps-ver file which is updated with each change
1265# that breaks old .deps files.  A copy of deps-ver is made into
1266# $(DEPDIR) if not already present.  If $(DEPDIR)/deps-ver is present
1267# with different contents than deps-ver, we make clean to ensure all
1268# .o files built before the incompatible change are rebuilt along with
1269# their updated .deps files, then remove $(DEPDIR) and recreate it as
1270# empty stubs.
1271#
1272# It is normal when configured with --disable-dependency-tracking for
1273# the DEPDIR to not have been created.  For this reason, we use the
1274# intermediate target .deps-ver, which invokes make recursively if
1275# DEPDIR exists.
1276#
1277# If you modify depsver.mf, please make the changes to the master
1278# copy, the one in sntp is copied by the bootstrap script from it.
1279#
1280# This comment block follows rather than leads the related code so that
1281# it stays with it in the generated Makefile.in and Makefile.
1282#
1283
1284# Tell versions [3.59,3.63) of GNU make to not export all variables.
1285# Otherwise a system limit (for SysV at least) may be exceeded.
1286.NOEXPORT:
1287